import re

"""
@feature_extractor
param: list of documents
A document is a list of tokens in the document in the order it was written in the announcements.
The function output is expected to be a list of dictionaries, which we need for the sklearn vectorizer. (raw_features)
Each entry in each document will get its own vector of features, represented by the dictionary.
Example: 'isRoom' is set to True if the token is "Room"
		 'isUpper' is set to True if the token is entirely uppercase.
The key of the dictionaries are the names of the features and can be arbitrary. It's value should be represented
by some property of the corresponding token. Think of what might make a good feature to find locations in text.

Your goal is to add new features for each entry to the feature vector. You can write helper functions to assist you in this file.
Once you are finished adding features, you can test your implementation by running 'make' from the exercise root directory.

If you want to compare your predictions with the gold standard use 'make compare'.
"""

def feature_extractor(fullset):
	raw_features = list()
	for document in fullset:
		for i, entry in enumerate(document):

			raw_features.append({'isRoom' : entry == "Room",
								 'isUpper' : entry.isupper()})

	return raw_features